Volantis A Wonderful Theme for Hexo


Volantis,一个高度模块化和可定制化、功能相对完善的 Hexo 博客主题,既可以用作个人博客,也适合用来搭建文档。

这些是使用了本主题的博客: 示例博客

环境要求

如果您从旧版本更新或着其它主题迁移,请确保环境版本不要太低,否则会产生兼容性问题。

环境 建议最低版本
Hexo 4.2
hexo-cli 3.1
node.js 12.16
npm 6.13

下载与安装

在博客路径打开终端,下载安装并应用主题:

curl -s https://volantis.js.org/start | sh
如果您还没有博客,执行这行命令将会自动检测并安装所需环境,初始化博客,然后下载安装并应用主题。

第1/3步:下载主题源码到 themes/ 文件夹

git clone https://github.com/xaoxuu/hexo-theme-volantis themes/volantis

第2/3步:修改站点配置文件

blog/_config.yml
theme: volantis

第3/3步:检查并安装依赖

安装 Hexo 搜索的依赖包:
npm i -S hexo-generator-search hexo-generator-json-content
安装 stylus 渲染器:
npm i -S hexo-renderer-stylus

许可协议

本主题采用 MIT开源许可协议 ,永久无限制免费使用。

MIT开源许可协议

被授权人有权利使用、复制、修改、合并、出版发行、散布、再授权及贩售软件及软件的副本。
被授权人可根据程式的需要修改授权条款为适当的内容。
在软件和软件的所有副本中都必须包含版权声明和许可声明。

帮助

下述操作将协助您解决在使用过程中遇到的任何问题:

主题文件(除了配置文件以外)未经任何修改,无法成功搭建博客

此流程适用于直接使用主题搭建博客的用户,在仅仅修改了主题配置文件、Hexo配置文件、增加了自己的文章,这种情况下无法成功搭建或者部署的问题。

  1. 在 Volantis 文档右上角搜索关键词,查看是否有相关内容。
  2. Hexo 官方文档 中搜索关键词,查看是否有相关内容。
  1. 下载 本站源码 ,然后下载 主题源码themes/volantis
  2. 执行 npm install 安装依赖包。
  3. 执行 hexo s 运行。

如果正常,请一步一步将配置文件修改为您原来的设定,直至找到出问题的地方。
如果依然不能运行,请检查 Hexo 环境配置,或者重新安装 Hexo 。

按照文档描述进行修改配置之后发生错误,可能是文档有误或者过时。可以在 issues 页面发帖求助,务必按照 issue 模板提供尽可能详细的信息,如果只写个标题,我们很难帮助您解决问题。

对应的 issue 模板类型: Question Report

主题文件(ejs、js、css、第三方插件等)有修改,无法成功搭建博客

此流程适用于 fork 主题并对主题文件(ejs、js、css 等)进行了修改后搭建博客的用户,无法成功搭建或者部署的问题。

  1. 在 git 历史中新建分支还原修改,或者尝试直接下载本站源码和主题源码运行。
  2. 如果未经修改可以正常搭建,请定位到自己修改的内容,查看是否有误。

如果是主题文档中提到过的第三方插件(意味着有主动兼容),遇到无法使用的情况,可以在 issues 页面新建 issue 详细描述您的问题。对应的 issue 模板类型: Question Report

如果是主题文档中没有提到过的第三方插件,可能存在没有兼容的情况,可以在 issues 页面新建 issue 请求兼容。对应的 issue 模板类型: Feature Request

有明确的 BUG 或者建议

此流程适用于您已经定位到了问题的具体所在,不需要协助定位问题。希望开发者予以修正。

例如主题文档中也存在的问题,或者在指定的浏览器、平台,经过某个操作后确定可以复现的问题。请在 issues 页面新建 issue 进行反馈。对应的 issue 模板类型: Bug Report

反馈一个 BUG 需要按照 issue 模板提供尽可能详细的信息,如果只有一个标题或者一句话,我们无法进行复现的话,是无法解决问题的。

请在 issues 页面新建 issue 进行反馈。对应的 issue 模板类型: Feature Request